io.vertx.rxjava.ext.consul

## Class ConsulClient

- java.lang.Object
- - io.vertx.rxjava.ext.consul.ConsulClient

-     public class ConsulClient
      extends Object

  A Vert.x service used to interact with Consul.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<ConsulClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsulClient(ConsulClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsulClient` | `agentInfo(Handler<AsyncResult<JsonObject>> resultHandler)` Returns the configuration and member information of the local agent
    `ConsulClient` | `catalogDatacenters(Handler<AsyncResult<List<String>>> resultHandler)` Return all the datacenters that are known by the Consul server
    `ConsulClient` | `catalogNodes(Handler<AsyncResult<NodeList>> resultHandler)` Returns the nodes registered in a datacenter
    `ConsulClient` | `catalogNodeServices(String node, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the node's registered services
    `ConsulClient` | `catalogNodeServicesWithOptions(String node, BlockingQueryOptions options, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `ConsulClient` | `catalogNodesWithOptions(NodeQueryOptions options, Handler<AsyncResult<NodeList>> resultHandler)` Returns the nodes registered in a datacenter
    `ConsulClient` | `catalogServiceNodes(String service, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the nodes providing a service
    `ConsulClient` | `catalogServiceNodesWithOptions(String service, ServiceQueryOptions options, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the nodes providing a service
    `ConsulClient` | `catalogServices(Handler<AsyncResult<ServiceList>> resultHandler)` Returns the services registered in a datacenter
    `ConsulClient` | `catalogServicesWithOptions(BlockingQueryOptions options, Handler<AsyncResult<ServiceList>> resultHandler)` Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `ConsulClient` | `cloneAclToken(String id, Handler<AsyncResult<String>> idHandler)` Clone Acl token
    `void` | `close()` Close the client and release its resources
    `ConsulClient` | `coordinateDatacenters(Handler<AsyncResult<List<DcCoordinates>>> resultHandler)` Returns the WAN network coordinates for all Consul servers, organized by DCs
    `ConsulClient` | `coordinateNodes(Handler<AsyncResult<CoordinateList>> resultHandler)` Returns the LAN network coordinates for all nodes in a given DC
    `ConsulClient` | `coordinateNodesWithOptions(BlockingQueryOptions options, Handler<AsyncResult<CoordinateList>> resultHandler)` Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
    `static ConsulClient` | `create(Vertx vertx)` Create a Consul client with default options.
    `static ConsulClient` | `create(Vertx vertx, ConsulClientOptions options)` Create a Consul client.
    `ConsulClient` | `createAclToken(AclToken token, Handler<AsyncResult<String>> idHandler)` Create new Acl token
    `ConsulClient` | `createSession(Handler<AsyncResult<String>> idHandler)` Initialize a new session
    `ConsulClient` | `createSessionWithOptions(SessionOptions options, Handler<AsyncResult<String>> idHandler)` Initialize a new session
    `ConsulClient` | `deleteValue(String key, Handler<AsyncResult<Void>> resultHandler)` Remove the key/value pair that corresponding to the specified key
    `ConsulClient` | `deleteValues(String keyPrefix, Handler<AsyncResult<Void>> resultHandler)` Removes all the key/value pair that corresponding to the specified key prefix
    `ConsulClient` | `deregisterCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Remove a check from the local agent.
    `ConsulClient` | `deregisterService(String id, Handler<AsyncResult<Void>> resultHandler)` Remove a service from the local agent.
    `ConsulClient` | `destroyAclToken(String id, Handler<AsyncResult<Void>> resultHandler)` Destroy Acl token
    `ConsulClient` | `destroySession(String id, Handler<AsyncResult<Void>> resultHandler)` Destroys the given session
    `ConsulClient` | `failCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "critical".
    `ConsulClient` | `failCheckWithNote(String checkId, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "critical".
    `ConsulClient` | `fireEvent(String name, Handler<AsyncResult<Event>> resultHandler)` Fires a new user event
    `ConsulClient` | `fireEventWithOptions(String name, EventOptions options, Handler<AsyncResult<Event>> resultHandler)` Fires a new user event
    `ConsulClient` | `getDelegate()`
    `ConsulClient` | `getValue(String key, Handler<AsyncResult<KeyValue>> resultHandler)` Returns key/value pair that corresponding to the specified key
    `ConsulClient` | `getValues(String keyPrefix, Handler<AsyncResult<KeyValueList>> resultHandler)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `ConsulClient` | `getValuesWithOptions(String keyPrefix, BlockingQueryOptions options, Handler<AsyncResult<KeyValueList>> resultHandler)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `ConsulClient` | `getValueWithOptions(String key, BlockingQueryOptions options, Handler<AsyncResult<KeyValue>> resultHandler)` Returns key/value pair that corresponding to the specified key.
    `ConsulClient` | `healthChecks(String service, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks associated with the service
    `ConsulClient` | `healthChecksWithOptions(String service, CheckQueryOptions options, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks associated with the service
    `ConsulClient` | `healthServiceNodes(String service, boolean passing, Handler<AsyncResult<ServiceEntryList>> resultHandler)` Returns the nodes providing the service.
    `ConsulClient` | `healthServiceNodesWithOptions(String service, boolean passing, ServiceQueryOptions options, Handler<AsyncResult<ServiceEntryList>> resultHandler)` Returns the nodes providing the service.
    `ConsulClient` | `healthState(CheckStatus checkStatus, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks in the specified status
    `ConsulClient` | `healthStateWithOptions(CheckStatus checkStatus, CheckQueryOptions options, Handler<AsyncResult<CheckList>> resultHandler)` Returns the checks in the specified status
    `ConsulClient` | `infoAclToken(String id, Handler<AsyncResult<AclToken>> tokenHandler)` Get info of Acl token
    `ConsulClient` | `infoSession(String id, Handler<AsyncResult<Session>> resultHandler)` Returns the requested session information
    `ConsulClient` | `infoSessionWithOptions(String id, BlockingQueryOptions options, Handler<AsyncResult<Session>> resultHandler)` Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
    `ConsulClient` | `leaderStatus(Handler<AsyncResult<String>> resultHandler)` Get the Raft leader for the datacenter in which the agent is running.
    `ConsulClient` | `listAclTokens(Handler<AsyncResult<List<AclToken>>> resultHandler)` Get list of Acl token
    `ConsulClient` | `listEvents(Handler<AsyncResult<EventList>> resultHandler)` Returns the most recent events known by the agent
    `ConsulClient` | `listEventsWithOptions(EventListOptions options, Handler<AsyncResult<EventList>> resultHandler)` Returns the most recent events known by the agent.
    `ConsulClient` | `listNodeSessions(String nodeId, Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions for a given node
    `ConsulClient` | `listNodeSessionsWithOptions(String nodeId, BlockingQueryOptions options, Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `ConsulClient` | `listSessions(Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions
    `ConsulClient` | `listSessionsWithOptions(BlockingQueryOptions options, Handler<AsyncResult<SessionList>> resultHandler)` Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `ConsulClient` | `localChecks(Handler<AsyncResult<List<Check>>> resultHandler)` Return all the checks that are registered with the local agent.
    `ConsulClient` | `localServices(Handler<AsyncResult<List<Service>>> resultHandler)` Returns list of services registered with the local agent.
    `ConsulClient` | `maintenanceService(MaintenanceOptions maintenanceOptions, Handler<AsyncResult<Void>> resultHandler)` Places a given service into "maintenance mode"
    `static ConsulClient` | `newInstance(ConsulClient arg)`
    `ConsulClient` | `passCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "passing".
    `ConsulClient` | `passCheckWithNote(String checkId, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "passing".
    `ConsulClient` | `peersStatus(Handler<AsyncResult<List<String>>> resultHandler)` Retrieves the Raft peers for the datacenter in which the the agent is running.
    `ConsulClient` | `putValue(String key, String value, Handler<AsyncResult<Boolean>> resultHandler)` Adds specified key/value pair
    `ConsulClient` | `putValueWithOptions(String key, String value, KeyValueOptions options, Handler<AsyncResult<Boolean>> resultHandler)`
    `ConsulClient` | `registerCheck(CheckOptions checkOptions, Handler<AsyncResult<Void>> resultHandler)` Add a new check to the local agent.
    `ConsulClient` | `registerService(ServiceOptions serviceOptions, Handler<AsyncResult<Void>> resultHandler)` Adds a new service, with an optional health check, to the local agent.
    `ConsulClient` | `renewSession(String id, Handler<AsyncResult<Session>> resultHandler)` Renews the given session.
    `rx.Single<JsonObject>` | `rxAgentInfo()` Returns the configuration and member information of the local agent
    `rx.Single<List<String>>` | `rxCatalogDatacenters()` Return all the datacenters that are known by the Consul server
    `rx.Single<NodeList>` | `rxCatalogNodes()` Returns the nodes registered in a datacenter
    `rx.Single<ServiceList>` | `rxCatalogNodeServices(String node)` Returns the node's registered services
    `rx.Single<ServiceList>` | `rxCatalogNodeServicesWithOptions(String node, BlockingQueryOptions options)` Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `rx.Single<NodeList>` | `rxCatalogNodesWithOptions(NodeQueryOptions options)` Returns the nodes registered in a datacenter
    `rx.Single<ServiceList>` | `rxCatalogServiceNodes(String service)` Returns the nodes providing a service
    `rx.Single<ServiceList>` | `rxCatalogServiceNodesWithOptions(String service, ServiceQueryOptions options)` Returns the nodes providing a service
    `rx.Single<ServiceList>` | `rxCatalogServices()` Returns the services registered in a datacenter
    `rx.Single<ServiceList>` | `rxCatalogServicesWithOptions(BlockingQueryOptions options)` Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
    `rx.Single<String>` | `rxCloneAclToken(String id)` Clone Acl token
    `rx.Single<List<DcCoordinates>>` | `rxCoordinateDatacenters()` Returns the WAN network coordinates for all Consul servers, organized by DCs
    `rx.Single<CoordinateList>` | `rxCoordinateNodes()` Returns the LAN network coordinates for all nodes in a given DC
    `rx.Single<CoordinateList>` | `rxCoordinateNodesWithOptions(BlockingQueryOptions options)` Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
    `rx.Single<String>` | `rxCreateAclToken(AclToken token)` Create new Acl token
    `rx.Single<String>` | `rxCreateSession()` Initialize a new session
    `rx.Single<String>` | `rxCreateSessionWithOptions(SessionOptions options)` Initialize a new session
    `rx.Single<Void>` | `rxDeleteValue(String key)` Remove the key/value pair that corresponding to the specified key
    `rx.Single<Void>` | `rxDeleteValues(String keyPrefix)` Removes all the key/value pair that corresponding to the specified key prefix
    `rx.Single<Void>` | `rxDeregisterCheck(String checkId)` Remove a check from the local agent.
    `rx.Single<Void>` | `rxDeregisterService(String id)` Remove a service from the local agent.
    `rx.Single<Void>` | `rxDestroyAclToken(String id)` Destroy Acl token
    `rx.Single<Void>` | `rxDestroySession(String id)` Destroys the given session
    `rx.Single<Void>` | `rxFailCheck(String checkId)` Set status of the check to "critical".
    `rx.Single<Void>` | `rxFailCheckWithNote(String checkId, String note)` Set status of the check to "critical".
    `rx.Single<Event>` | `rxFireEvent(String name)` Fires a new user event
    `rx.Single<Event>` | `rxFireEventWithOptions(String name, EventOptions options)` Fires a new user event
    `rx.Single<KeyValue>` | `rxGetValue(String key)` Returns key/value pair that corresponding to the specified key
    `rx.Single<KeyValueList>` | `rxGetValues(String keyPrefix)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `rx.Single<KeyValueList>` | `rxGetValuesWithOptions(String keyPrefix, BlockingQueryOptions options)` Returns the list of key/value pairs that corresponding to the specified key prefix.
    `rx.Single<KeyValue>` | `rxGetValueWithOptions(String key, BlockingQueryOptions options)` Returns key/value pair that corresponding to the specified key.
    `rx.Single<CheckList>` | `rxHealthChecks(String service)` Returns the checks associated with the service
    `rx.Single<CheckList>` | `rxHealthChecksWithOptions(String service, CheckQueryOptions options)` Returns the checks associated with the service
    `rx.Single<ServiceEntryList>` | `rxHealthServiceNodes(String service, boolean passing)` Returns the nodes providing the service.
    `rx.Single<ServiceEntryList>` | `rxHealthServiceNodesWithOptions(String service, boolean passing, ServiceQueryOptions options)` Returns the nodes providing the service.
    `rx.Single<CheckList>` | `rxHealthState(CheckStatus checkStatus)` Returns the checks in the specified status
    `rx.Single<CheckList>` | `rxHealthStateWithOptions(CheckStatus checkStatus, CheckQueryOptions options)` Returns the checks in the specified status
    `rx.Single<AclToken>` | `rxInfoAclToken(String id)` Get info of Acl token
    `rx.Single<Session>` | `rxInfoSession(String id)` Returns the requested session information
    `rx.Single<Session>` | `rxInfoSessionWithOptions(String id, BlockingQueryOptions options)` Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
    `rx.Single<String>` | `rxLeaderStatus()` Get the Raft leader for the datacenter in which the agent is running.
    `rx.Single<List<AclToken>>` | `rxListAclTokens()` Get list of Acl token
    `rx.Single<EventList>` | `rxListEvents()` Returns the most recent events known by the agent
    `rx.Single<EventList>` | `rxListEventsWithOptions(EventListOptions options)` Returns the most recent events known by the agent.
    `rx.Single<SessionList>` | `rxListNodeSessions(String nodeId)` Returns the active sessions for a given node
    `rx.Single<SessionList>` | `rxListNodeSessionsWithOptions(String nodeId, BlockingQueryOptions options)` Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `rx.Single<SessionList>` | `rxListSessions()` Returns the active sessions
    `rx.Single<SessionList>` | `rxListSessionsWithOptions(BlockingQueryOptions options)` Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
    `rx.Single<List<Check>>` | `rxLocalChecks()` Return all the checks that are registered with the local agent.
    `rx.Single<List<Service>>` | `rxLocalServices()` Returns list of services registered with the local agent.
    `rx.Single<Void>` | `rxMaintenanceService(MaintenanceOptions maintenanceOptions)` Places a given service into "maintenance mode"
    `rx.Single<Void>` | `rxPassCheck(String checkId)` Set status of the check to "passing".
    `rx.Single<Void>` | `rxPassCheckWithNote(String checkId, String note)` Set status of the check to "passing".
    `rx.Single<List<String>>` | `rxPeersStatus()` Retrieves the Raft peers for the datacenter in which the the agent is running.
    `rx.Single<Boolean>` | `rxPutValue(String key, String value)` Adds specified key/value pair
    `rx.Single<Boolean>` | `rxPutValueWithOptions(String key, String value, KeyValueOptions options)`
    `rx.Single<Void>` | `rxRegisterCheck(CheckOptions checkOptions)` Add a new check to the local agent.
    `rx.Single<Void>` | `rxRegisterService(ServiceOptions serviceOptions)` Adds a new service, with an optional health check, to the local agent.
    `rx.Single<Session>` | `rxRenewSession(String id)` Renews the given session.
    `rx.Single<TxnResponse>` | `rxTransaction(TxnRequest request)` Manages multiple operations inside a single, atomic transaction.
    `rx.Single<String>` | `rxUpdateAclToken(AclToken token)` Update Acl token
    `rx.Single<Void>` | `rxUpdateCheck(String checkId, CheckStatus status)` Set status of the check to given status.
    `rx.Single<Void>` | `rxUpdateCheckWithNote(String checkId, CheckStatus status, String note)` Set status of the check to given status.
    `rx.Single<Void>` | `rxWarnCheck(String checkId)` Set status of the check to "warning".
    `rx.Single<Void>` | `rxWarnCheckWithNote(String checkId, String note)` Set status of the check to "warning".
    `ConsulClient` | `transaction(TxnRequest request, Handler<AsyncResult<TxnResponse>> resultHandler)` Manages multiple operations inside a single, atomic transaction.
    `ConsulClient` | `updateAclToken(AclToken token, Handler<AsyncResult<String>> idHandler)` Update Acl token
    `ConsulClient` | `updateCheck(String checkId, CheckStatus status, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to given status.
    `ConsulClient` | `updateCheckWithNote(String checkId, CheckStatus status, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to given status.
    `ConsulClient` | `warnCheck(String checkId, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "warning".
    `ConsulClient` | `warnCheckWithNote(String checkId, String note, Handler<AsyncResult<Void>> resultHandler)` Set status of the check to "warning".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<ConsulClient> __TYPE_ARG

  - ### Constructor Detail

    - #### ConsulClient

          public ConsulClient(ConsulClient delegate)

  - ### Method Detail

    - #### getDelegate

          public ConsulClient getDelegate()

    - #### create

          public static ConsulClient create(Vertx vertx)

      Create a Consul client with default options.
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the client

    - #### create

          public static ConsulClient create(Vertx vertx,
                                            ConsulClientOptions options)

      Create a Consul client.
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the options
      Returns:
        the client

    - #### agentInfo

          public ConsulClient agentInfo(Handler<AsyncResult<JsonObject>> resultHandler)

      Returns the configuration and member information of the local agent
      Parameters:
        `resultHandler` - will be provided with the configuration and member information of the local agent
      Returns:
        reference to this, for fluency

    - #### rxAgentInfo

          public rx.Single<JsonObject> rxAgentInfo()

      Returns the configuration and member information of the local agent
      Returns:

    - #### coordinateNodes

          public ConsulClient coordinateNodes(Handler<AsyncResult<CoordinateList>> resultHandler)

      Returns the LAN network coordinates for all nodes in a given DC
      Parameters:
        `resultHandler` - will be provided with network coordinates of nodes in datacenter
      Returns:
        reference to this, for fluency

    - #### rxCoordinateNodes

          public rx.Single<CoordinateList> rxCoordinateNodes()

      Returns the LAN network coordinates for all nodes in a given DC
      Returns:

    - #### coordinateNodesWithOptions

          public ConsulClient coordinateNodesWithOptions(BlockingQueryOptions options,
                                                         Handler<AsyncResult<CoordinateList>> resultHandler)

      Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with network coordinates of nodes in datacenter
      Returns:
        reference to this, for fluency

    - #### rxCoordinateNodesWithOptions

          public rx.Single<CoordinateList> rxCoordinateNodesWithOptions(BlockingQueryOptions options)

      Returns the LAN network coordinates for all nodes in a given DC This is blocking query unlike `coordinateNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.CoordinateList>>)`
      Parameters:
        `options` - the blocking options
      Returns:

    - #### coordinateDatacenters

          public ConsulClient coordinateDatacenters(Handler<AsyncResult<List<DcCoordinates>>> resultHandler)

      Returns the WAN network coordinates for all Consul servers, organized by DCs
      Parameters:
        `resultHandler` - will be provided with network coordinates for all Consul servers
      Returns:
        reference to this, for fluency

    - #### rxCoordinateDatacenters

          public rx.Single<List<DcCoordinates>> rxCoordinateDatacenters()

      Returns the WAN network coordinates for all Consul servers, organized by DCs
      Returns:

    - #### getValue

          public ConsulClient getValue(String key,
                                       Handler<AsyncResult<KeyValue>> resultHandler)

      Returns key/value pair that corresponding to the specified key
      Parameters:
        `key` - the key
        `resultHandler` - will be provided with key/value pair
      Returns:
        reference to this, for fluency

    - #### rxGetValue

          public rx.Single<KeyValue> rxGetValue(String key)

      Returns key/value pair that corresponding to the specified key
      Parameters:
        `key` - the key
      Returns:

    - #### getValueWithOptions

          public ConsulClient getValueWithOptions(String key,
                                                  BlockingQueryOptions options,
                                                  Handler<AsyncResult<KeyValue>> resultHandler)

      Returns key/value pair that corresponding to the specified key. This is blocking query unlike `getValue(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValue>>)`
      Parameters:
        `key` - the key
        `options` - the blocking options
        `resultHandler` - will be provided with key/value pair
      Returns:
        reference to this, for fluency

    - #### rxGetValueWithOptions

          public rx.Single<KeyValue> rxGetValueWithOptions(String key,
                                                           BlockingQueryOptions options)

      Returns key/value pair that corresponding to the specified key. This is blocking query unlike `getValue(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValue>>)`
      Parameters:
        `key` - the key
        `options` - the blocking options
      Returns:

    - #### deleteValue

          public ConsulClient deleteValue(String key,
                                          Handler<AsyncResult<Void>> resultHandler)

      Remove the key/value pair that corresponding to the specified key
      Parameters:
        `key` - the key
        `resultHandler` - will be called on complete
      Returns:
        reference to this, for fluency

    - #### rxDeleteValue

          public rx.Single<Void> rxDeleteValue(String key)

      Remove the key/value pair that corresponding to the specified key
      Parameters:
        `key` - the key
      Returns:

    - #### getValues

          public ConsulClient getValues(String keyPrefix,
                                        Handler<AsyncResult<KeyValueList>> resultHandler)

      Returns the list of key/value pairs that corresponding to the specified key prefix.
      Parameters:
        `keyPrefix` - the prefix
        `resultHandler` - will be provided with list of key/value pairs
      Returns:
        reference to this, for fluency

    - #### rxGetValues

          public rx.Single<KeyValueList> rxGetValues(String keyPrefix)

      Returns the list of key/value pairs that corresponding to the specified key prefix.
      Parameters:
        `keyPrefix` - the prefix
      Returns:

    - #### getValuesWithOptions

          public ConsulClient getValuesWithOptions(String keyPrefix,
                                                   BlockingQueryOptions options,
                                                   Handler<AsyncResult<KeyValueList>> resultHandler)

      Returns the list of key/value pairs that corresponding to the specified key prefix. This is blocking query unlike `getValues(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValueList>>)`
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
        `resultHandler` - will be provided with list of key/value pairs
      Returns:
        reference to this, for fluency

    - #### rxGetValuesWithOptions

          public rx.Single<KeyValueList> rxGetValuesWithOptions(String keyPrefix,
                                                                BlockingQueryOptions options)

      Returns the list of key/value pairs that corresponding to the specified key prefix. This is blocking query unlike `getValues(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.KeyValueList>>)`
      Parameters:
        `keyPrefix` - the prefix
        `options` - the blocking options
      Returns:

    - #### deleteValues

          public ConsulClient deleteValues(String keyPrefix,
                                           Handler<AsyncResult<Void>> resultHandler)

      Removes all the key/value pair that corresponding to the specified key prefix
      Parameters:
        `keyPrefix` - the prefix
        `resultHandler` - will be called on complete
      Returns:
        reference to this, for fluency

    - #### rxDeleteValues

          public rx.Single<Void> rxDeleteValues(String keyPrefix)

      Removes all the key/value pair that corresponding to the specified key prefix
      Parameters:
        `keyPrefix` - the prefix
      Returns:

    - #### putValue

          public ConsulClient putValue(String key,
                                       String value,
                                       Handler<AsyncResult<Boolean>> resultHandler)

      Adds specified key/value pair
      Parameters:
        `key` - the key
        `value` - the value
        `resultHandler` - will be provided with success of operation
      Returns:
        reference to this, for fluency

    - #### rxPutValue

          public rx.Single<Boolean> rxPutValue(String key,
                                               String value)

      Adds specified key/value pair
      Parameters:
        `key` - the key
        `value` - the value
      Returns:

    - #### putValueWithOptions

          public ConsulClient putValueWithOptions(String key,
                                                  String value,
                                                  KeyValueOptions options,
                                                  Handler<AsyncResult<Boolean>> resultHandler)

      Parameters:
        `key` - the key
        `value` - the value
        `options` - options used to push pair
        `resultHandler` - will be provided with success of operation
      Returns:
        reference to this, for fluency

    - #### rxPutValueWithOptions

          public rx.Single<Boolean> rxPutValueWithOptions(String key,
                                                          String value,
                                                          KeyValueOptions options)

      Parameters:
        `key` - the key
        `value` - the value
        `options` - options used to push pair
      Returns:

    - #### transaction

          public ConsulClient transaction(TxnRequest request,
                                          Handler<AsyncResult<TxnResponse>> resultHandler)

      Manages multiple operations inside a single, atomic transaction.
      Parameters:
        `request` - transaction request
        `resultHandler` - will be provided with result of transaction
      Returns:
        reference to this, for fluency

    - #### rxTransaction

          public rx.Single<TxnResponse> rxTransaction(TxnRequest request)

      Manages multiple operations inside a single, atomic transaction.
      Parameters:
        `request` - transaction request
      Returns:

    - #### createAclToken

          public ConsulClient createAclToken(AclToken token,
                                             Handler<AsyncResult<String>> idHandler)

      Create new Acl token
      Parameters:
        `token` - properties of the token
        `idHandler` - will be provided with ID of created token
      Returns:
        reference to this, for fluency

    - #### rxCreateAclToken

          public rx.Single<String> rxCreateAclToken(AclToken token)

      Create new Acl token
      Parameters:
        `token` - properties of the token
      Returns:

    - #### updateAclToken

          public ConsulClient updateAclToken(AclToken token,
                                             Handler<AsyncResult<String>> idHandler)

      Update Acl token
      Parameters:
        `token` - properties of the token to be updated
        `idHandler` - will be provided with ID of updated
      Returns:
        reference to this, for fluency

    - #### rxUpdateAclToken

          public rx.Single<String> rxUpdateAclToken(AclToken token)

      Update Acl token
      Parameters:
        `token` - properties of the token to be updated
      Returns:

    - #### cloneAclToken

          public ConsulClient cloneAclToken(String id,
                                            Handler<AsyncResult<String>> idHandler)

      Clone Acl token
      Parameters:
        `id` - the ID of token to be cloned
        `idHandler` - will be provided with ID of cloned token
      Returns:
        reference to this, for fluency

    - #### rxCloneAclToken

          public rx.Single<String> rxCloneAclToken(String id)

      Clone Acl token
      Parameters:
        `id` - the ID of token to be cloned
      Returns:

    - #### listAclTokens

          public ConsulClient listAclTokens(Handler<AsyncResult<List<AclToken>>> resultHandler)

      Get list of Acl token
      Parameters:
        `resultHandler` - will be provided with list of tokens
      Returns:
        reference to this, for fluency

    - #### rxListAclTokens

          public rx.Single<List<AclToken>> rxListAclTokens()

      Get list of Acl token
      Returns:

    - #### infoAclToken

          public ConsulClient infoAclToken(String id,
                                           Handler<AsyncResult<AclToken>> tokenHandler)

      Get info of Acl token
      Parameters:
        `id` - the ID of token
        `tokenHandler` - will be provided with token
      Returns:
        reference to this, for fluency

    - #### rxInfoAclToken

          public rx.Single<AclToken> rxInfoAclToken(String id)

      Get info of Acl token
      Parameters:
        `id` - the ID of token
      Returns:

    - #### destroyAclToken

          public ConsulClient destroyAclToken(String id,
                                              Handler<AsyncResult<Void>> resultHandler)

      Destroy Acl token
      Parameters:
        `id` - the ID of token
        `resultHandler` - will be called on complete
      Returns:
        reference to this, for fluency

    - #### rxDestroyAclToken

          public rx.Single<Void> rxDestroyAclToken(String id)

      Destroy Acl token
      Parameters:
        `id` - the ID of token
      Returns:

    - #### fireEvent

          public ConsulClient fireEvent(String name,
                                        Handler<AsyncResult<Event>> resultHandler)

      Fires a new user event
      Parameters:
        `name` - name of event
        `resultHandler` - will be provided with properties of event
      Returns:
        reference to this, for fluency

    - #### rxFireEvent

          public rx.Single<Event> rxFireEvent(String name)

      Fires a new user event
      Parameters:
        `name` - name of event
      Returns:

    - #### fireEventWithOptions

          public ConsulClient fireEventWithOptions(String name,
                                                   EventOptions options,
                                                   Handler<AsyncResult<Event>> resultHandler)

      Fires a new user event
      Parameters:
        `name` - name of event
        `options` - options used to create event
        `resultHandler` - will be provided with properties of event
      Returns:
        reference to this, for fluency

    - #### rxFireEventWithOptions

          public rx.Single<Event> rxFireEventWithOptions(String name,
                                                         EventOptions options)

      Fires a new user event
      Parameters:
        `name` - name of event
        `options` - options used to create event
      Returns:

    - #### listEvents

          public ConsulClient listEvents(Handler<AsyncResult<EventList>> resultHandler)

      Returns the most recent events known by the agent
      Parameters:
        `resultHandler` - will be provided with list of events
      Returns:
        reference to this, for fluency

    - #### rxListEvents

          public rx.Single<EventList> rxListEvents()

      Returns the most recent events known by the agent
      Returns:

    - #### listEventsWithOptions

          public ConsulClient listEventsWithOptions(EventListOptions options,
                                                    Handler<AsyncResult<EventList>> resultHandler)

      Returns the most recent events known by the agent. This is blocking query unlike `listEvents(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.EventList>>)`. However, the semantics of this endpoint are slightly different. Most blocking queries provide a monotonic index and block until a newer index is available. This can be supported as a consequence of the total ordering of the consensus protocol. With gossip, there is no ordering, and instead `X-Consul-Index` maps to the newest event that matches the query. In practice, this means the index is only useful when used against a single agent and has no meaning globally. Because Consul defines the index as being opaque, clients should not be expecting a natural ordering either.
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with list of events
      Returns:
        reference to this, for fluency

    - #### rxListEventsWithOptions

          public rx.Single<EventList> rxListEventsWithOptions(EventListOptions options)

      Returns the most recent events known by the agent. This is blocking query unlike `listEvents(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.EventList>>)`. However, the semantics of this endpoint are slightly different. Most blocking queries provide a monotonic index and block until a newer index is available. This can be supported as a consequence of the total ordering of the consensus protocol. With gossip, there is no ordering, and instead `X-Consul-Index` maps to the newest event that matches the query. In practice, this means the index is only useful when used against a single agent and has no meaning globally. Because Consul defines the index as being opaque, clients should not be expecting a natural ordering either.
      Parameters:
        `options` - the blocking options
      Returns:

    - #### registerService

          public ConsulClient registerService(ServiceOptions serviceOptions,
                                              Handler<AsyncResult<Void>> resultHandler)

      Adds a new service, with an optional health check, to the local agent.
      Parameters:
        `serviceOptions` - the options of new service
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxRegisterService

          public rx.Single<Void> rxRegisterService(ServiceOptions serviceOptions)

      Adds a new service, with an optional health check, to the local agent.
      Parameters:
        `serviceOptions` - the options of new service
      Returns:

    - #### maintenanceService

          public ConsulClient maintenanceService(MaintenanceOptions maintenanceOptions,
                                                 Handler<AsyncResult<Void>> resultHandler)

      Places a given service into "maintenance mode"
      Parameters:
        `maintenanceOptions` - the maintenance options
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxMaintenanceService

          public rx.Single<Void> rxMaintenanceService(MaintenanceOptions maintenanceOptions)

      Places a given service into "maintenance mode"
      Parameters:
        `maintenanceOptions` - the maintenance options
      Returns:

    - #### deregisterService

          public ConsulClient deregisterService(String id,
                                                Handler<AsyncResult<Void>> resultHandler)

      Remove a service from the local agent. The agent will take care of deregistering the service with the Catalog. If there is an associated check, that is also deregistered.
      Parameters:
        `id` - the ID of service
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxDeregisterService

          public rx.Single<Void> rxDeregisterService(String id)

      Remove a service from the local agent. The agent will take care of deregistering the service with the Catalog. If there is an associated check, that is also deregistered.
      Parameters:
        `id` - the ID of service
      Returns:

    - #### catalogServiceNodes

          public ConsulClient catalogServiceNodes(String service,
                                                  Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
        `resultHandler` - will be provided with list of nodes providing given service
      Returns:
        reference to this, for fluency

    - #### rxCatalogServiceNodes

          public rx.Single<ServiceList> rxCatalogServiceNodes(String service)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
      Returns:

    - #### catalogServiceNodesWithOptions

          public ConsulClient catalogServiceNodesWithOptions(String service,
                                                             ServiceQueryOptions options,
                                                             Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
        `options` - options used to request services
        `resultHandler` - will be provided with list of nodes providing given service
      Returns:
        reference to this, for fluency

    - #### rxCatalogServiceNodesWithOptions

          public rx.Single<ServiceList> rxCatalogServiceNodesWithOptions(String service,
                                                                         ServiceQueryOptions options)

      Returns the nodes providing a service
      Parameters:
        `service` - name of service
        `options` - options used to request services
      Returns:

    - #### catalogDatacenters

          public ConsulClient catalogDatacenters(Handler<AsyncResult<List<String>>> resultHandler)

      Return all the datacenters that are known by the Consul server
      Parameters:
        `resultHandler` - will be provided with list of datacenters
      Returns:
        reference to this, for fluency

    - #### rxCatalogDatacenters

          public rx.Single<List<String>> rxCatalogDatacenters()

      Return all the datacenters that are known by the Consul server
      Returns:

    - #### catalogNodes

          public ConsulClient catalogNodes(Handler<AsyncResult<NodeList>> resultHandler)

      Returns the nodes registered in a datacenter
      Parameters:
        `resultHandler` - will be provided with list of nodes
      Returns:
        reference to this, for fluency

    - #### rxCatalogNodes

          public rx.Single<NodeList> rxCatalogNodes()

      Returns the nodes registered in a datacenter
      Returns:

    - #### catalogNodesWithOptions

          public ConsulClient catalogNodesWithOptions(NodeQueryOptions options,
                                                      Handler<AsyncResult<NodeList>> resultHandler)

      Returns the nodes registered in a datacenter
      Parameters:
        `options` - options used to request nodes
        `resultHandler` - will be provided with list of nodes
      Returns:
        reference to this, for fluency

    - #### rxCatalogNodesWithOptions

          public rx.Single<NodeList> rxCatalogNodesWithOptions(NodeQueryOptions options)

      Returns the nodes registered in a datacenter
      Parameters:
        `options` - options used to request nodes
      Returns:

    - #### healthChecks

          public ConsulClient healthChecks(String service,
                                           Handler<AsyncResult<CheckList>> resultHandler)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### rxHealthChecks

          public rx.Single<CheckList> rxHealthChecks(String service)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
      Returns:

    - #### healthChecksWithOptions

          public ConsulClient healthChecksWithOptions(String service,
                                                      CheckQueryOptions options,
                                                      Handler<AsyncResult<CheckList>> resultHandler)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
        `options` - options used to request checks
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### rxHealthChecksWithOptions

          public rx.Single<CheckList> rxHealthChecksWithOptions(String service,
                                                                CheckQueryOptions options)

      Returns the checks associated with the service
      Parameters:
        `service` - the service name
        `options` - options used to request checks
      Returns:

    - #### healthState

          public ConsulClient healthState(CheckStatus checkStatus,
                                          Handler<AsyncResult<CheckList>> resultHandler)

      Returns the checks in the specified status
      Parameters:
        `checkStatus` - the check status
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### rxHealthState

          public rx.Single<CheckList> rxHealthState(CheckStatus checkStatus)

      Returns the checks in the specified status
      Parameters:
        `checkStatus` - the check status
      Returns:

    - #### healthStateWithOptions

          public ConsulClient healthStateWithOptions(CheckStatus checkStatus,
                                                     CheckQueryOptions options,
                                                     Handler<AsyncResult<CheckList>> resultHandler)

      Returns the checks in the specified status
      Parameters:
        `checkStatus` - the check status
        `options` - options used to request checks
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### rxHealthStateWithOptions

          public rx.Single<CheckList> rxHealthStateWithOptions(CheckStatus checkStatus,
                                                               CheckQueryOptions options)

      Returns the checks in the specified status
      Parameters:
        `checkStatus` - the check status
        `options` - options used to request checks
      Returns:

    - #### healthServiceNodes

          public ConsulClient healthServiceNodes(String service,
                                                 boolean passing,
                                                 Handler<AsyncResult<ServiceEntryList>> resultHandler)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodes(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### rxHealthServiceNodes

          public rx.Single<ServiceEntryList> rxHealthServiceNodes(String service,
                                                                  boolean passing)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodes(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
      Returns:

    - #### healthServiceNodesWithOptions

          public ConsulClient healthServiceNodesWithOptions(String service,
                                                            boolean passing,
                                                            ServiceQueryOptions options,
                                                            Handler<AsyncResult<ServiceEntryList>> resultHandler)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodesWithOptions(java.lang.String, io.vertx.ext.consul.ServiceQueryOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
        `options` - options used to request services
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### rxHealthServiceNodesWithOptions

          public rx.Single<ServiceEntryList> rxHealthServiceNodesWithOptions(String service,
                                                                             boolean passing,
                                                                             ServiceQueryOptions options)

      Returns the nodes providing the service. This endpoint is very similar to the `catalogServiceNodesWithOptions(java.lang.String, io.vertx.ext.consul.ServiceQueryOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)` endpoint; however, this endpoint automatically returns the status of the associated health check as well as any system level health checks.
      Parameters:
        `service` - the service name
        `passing` - if true, filter results to only nodes with all checks in the passing state
        `options` - options used to request services
      Returns:

    - #### catalogServices

          public ConsulClient catalogServices(Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the services registered in a datacenter
      Parameters:
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### rxCatalogServices

          public rx.Single<ServiceList> rxCatalogServices()

      Returns the services registered in a datacenter
      Returns:

    - #### catalogServicesWithOptions

          public ConsulClient catalogServicesWithOptions(BlockingQueryOptions options,
                                                         Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### rxCatalogServicesWithOptions

          public rx.Single<ServiceList> rxCatalogServicesWithOptions(BlockingQueryOptions options)

      Returns the services registered in a datacenter This is blocking query unlike `catalogServices(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `options` - the blocking options
      Returns:

    - #### catalogNodeServices

          public ConsulClient catalogNodeServices(String node,
                                                  Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the node's registered services
      Parameters:
        `node` - node name
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### rxCatalogNodeServices

          public rx.Single<ServiceList> rxCatalogNodeServices(String node)

      Returns the node's registered services
      Parameters:
        `node` - node name
      Returns:

    - #### catalogNodeServicesWithOptions

          public ConsulClient catalogNodeServicesWithOptions(String node,
                                                             BlockingQueryOptions options,
                                                             Handler<AsyncResult<ServiceList>> resultHandler)

      Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `node` - node name
        `options` - the blocking options
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### rxCatalogNodeServicesWithOptions

          public rx.Single<ServiceList> rxCatalogNodeServicesWithOptions(String node,
                                                                         BlockingQueryOptions options)

      Returns the node's registered services This is blocking query unlike `catalogNodeServices(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.ServiceList>>)`
      Parameters:
        `node` - node name
        `options` - the blocking options
      Returns:

    - #### localServices

          public ConsulClient localServices(Handler<AsyncResult<List<Service>>> resultHandler)

      Returns list of services registered with the local agent.
      Parameters:
        `resultHandler` - will be provided with list of services
      Returns:
        reference to this, for fluency

    - #### rxLocalServices

          public rx.Single<List<Service>> rxLocalServices()

      Returns list of services registered with the local agent.
      Returns:

    - #### localChecks

          public ConsulClient localChecks(Handler<AsyncResult<List<Check>>> resultHandler)

      Return all the checks that are registered with the local agent.
      Parameters:
        `resultHandler` - will be provided with list of checks
      Returns:
        reference to this, for fluency

    - #### rxLocalChecks

          public rx.Single<List<Check>> rxLocalChecks()

      Return all the checks that are registered with the local agent.
      Returns:

    - #### registerCheck

          public ConsulClient registerCheck(CheckOptions checkOptions,
                                            Handler<AsyncResult<Void>> resultHandler)

      Add a new check to the local agent. The agent is responsible for managing the status of the check and keeping the Catalog in sync.
      Parameters:
        `checkOptions` - options used to register new check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxRegisterCheck

          public rx.Single<Void> rxRegisterCheck(CheckOptions checkOptions)

      Add a new check to the local agent. The agent is responsible for managing the status of the check and keeping the Catalog in sync.
      Parameters:
        `checkOptions` - options used to register new check
      Returns:

    - #### deregisterCheck

          public ConsulClient deregisterCheck(String checkId,
                                              Handler<AsyncResult<Void>> resultHandler)

      Remove a check from the local agent. The agent will take care of deregistering the check from the Catalog.
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxDeregisterCheck

          public rx.Single<Void> rxDeregisterCheck(String checkId)

      Remove a check from the local agent. The agent will take care of deregistering the check from the Catalog.
      Parameters:
        `checkId` - the ID of check
      Returns:

    - #### passCheck

          public ConsulClient passCheck(String checkId,
                                        Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxPassCheck

          public rx.Single<Void> rxPassCheck(String checkId)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
      Returns:

    - #### passCheckWithNote

          public ConsulClient passCheckWithNote(String checkId,
                                                String note,
                                                Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - a human-readable message with the status of the check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxPassCheckWithNote

          public rx.Single<Void> rxPassCheckWithNote(String checkId,
                                                     String note)

      Set status of the check to "passing". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - a human-readable message with the status of the check
      Returns:

    - #### warnCheck

          public ConsulClient warnCheck(String checkId,
                                        Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxWarnCheck

          public rx.Single<Void> rxWarnCheck(String checkId)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
      Returns:

    - #### warnCheckWithNote

          public ConsulClient warnCheckWithNote(String checkId,
                                                String note,
                                                Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - a human-readable message with the status of the check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxWarnCheckWithNote

          public rx.Single<Void> rxWarnCheckWithNote(String checkId,
                                                     String note)

      Set status of the check to "warning". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - a human-readable message with the status of the check
      Returns:

    - #### failCheck

          public ConsulClient failCheck(String checkId,
                                        Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxFailCheck

          public rx.Single<Void> rxFailCheck(String checkId)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
      Returns:

    - #### failCheckWithNote

          public ConsulClient failCheckWithNote(String checkId,
                                                String note,
                                                Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - a human-readable message with the status of the check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxFailCheckWithNote

          public rx.Single<Void> rxFailCheckWithNote(String checkId,
                                                     String note)

      Set status of the check to "critical". Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `note` - a human-readable message with the status of the check
      Returns:

    - #### updateCheck

          public ConsulClient updateCheck(String checkId,
                                          CheckStatus status,
                                          Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxUpdateCheck

          public rx.Single<Void> rxUpdateCheck(String checkId,
                                               CheckStatus status)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
      Returns:

    - #### updateCheckWithNote

          public ConsulClient updateCheckWithNote(String checkId,
                                                  CheckStatus status,
                                                  String note,
                                                  Handler<AsyncResult<Void>> resultHandler)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
        `note` - a human-readable message with the status of the check
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxUpdateCheckWithNote

          public rx.Single<Void> rxUpdateCheckWithNote(String checkId,
                                                       CheckStatus status,
                                                       String note)

      Set status of the check to given status. Used with a check that is of the TTL type. The TTL clock will be reset.
      Parameters:
        `checkId` - the ID of check
        `status` - new status of check
        `note` - a human-readable message with the status of the check
      Returns:

    - #### leaderStatus

          public ConsulClient leaderStatus(Handler<AsyncResult<String>> resultHandler)

      Get the Raft leader for the datacenter in which the agent is running. It returns an address in format "`10.1.10.12:8300`"
      Parameters:
        `resultHandler` - will be provided with address of cluster leader
      Returns:
        reference to this, for fluency

    - #### rxLeaderStatus

          public rx.Single<String> rxLeaderStatus()

      Get the Raft leader for the datacenter in which the agent is running. It returns an address in format "`10.1.10.12:8300`"
      Returns:

    - #### peersStatus

          public ConsulClient peersStatus(Handler<AsyncResult<List<String>>> resultHandler)

      Retrieves the Raft peers for the datacenter in which the the agent is running. It returns a list of addresses "`10.1.10.12:8300`", "`10.1.10.13:8300`"
      Parameters:
        `resultHandler` - will be provided with list of peers
      Returns:
        reference to this, for fluency

    - #### rxPeersStatus

          public rx.Single<List<String>> rxPeersStatus()

      Retrieves the Raft peers for the datacenter in which the the agent is running. It returns a list of addresses "`10.1.10.12:8300`", "`10.1.10.13:8300`"
      Returns:

    - #### createSession

          public ConsulClient createSession(Handler<AsyncResult<String>> idHandler)

      Initialize a new session
      Parameters:
        `idHandler` - will be provided with ID of new session
      Returns:
        reference to this, for fluency

    - #### rxCreateSession

          public rx.Single<String> rxCreateSession()

      Initialize a new session
      Returns:

    - #### createSessionWithOptions

          public ConsulClient createSessionWithOptions(SessionOptions options,
                                                       Handler<AsyncResult<String>> idHandler)

      Initialize a new session
      Parameters:
        `options` - options used to create session
        `idHandler` - will be provided with ID of new session
      Returns:
        reference to this, for fluency

    - #### rxCreateSessionWithOptions

          public rx.Single<String> rxCreateSessionWithOptions(SessionOptions options)

      Initialize a new session
      Parameters:
        `options` - options used to create session
      Returns:

    - #### infoSession

          public ConsulClient infoSession(String id,
                                          Handler<AsyncResult<Session>> resultHandler)

      Returns the requested session information
      Parameters:
        `id` - the ID of requested session
        `resultHandler` - will be provided with info of requested session
      Returns:
        reference to this, for fluency

    - #### rxInfoSession

          public rx.Single<Session> rxInfoSession(String id)

      Returns the requested session information
      Parameters:
        `id` - the ID of requested session
      Returns:

    - #### infoSessionWithOptions

          public ConsulClient infoSessionWithOptions(String id,
                                                     BlockingQueryOptions options,
                                                     Handler<AsyncResult<Session>> resultHandler)

      Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
      Parameters:
        `id` - the ID of requested session
        `options` - the blocking options
        `resultHandler` - will be provided with info of requested session
      Returns:
        reference to this, for fluency

    - #### rxInfoSessionWithOptions

          public rx.Single<Session> rxInfoSessionWithOptions(String id,
                                                             BlockingQueryOptions options)

      Returns the requested session information This is blocking query unlike `infoSession(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.Session>>)`
      Parameters:
        `id` - the ID of requested session
        `options` - the blocking options
      Returns:

    - #### renewSession

          public ConsulClient renewSession(String id,
                                           Handler<AsyncResult<Session>> resultHandler)

      Renews the given session. This is used with sessions that have a TTL, and it extends the expiration by the TTL
      Parameters:
        `id` - the ID of session that should be renewed
        `resultHandler` - will be provided with info of renewed session
      Returns:
        reference to this, for fluency

    - #### rxRenewSession

          public rx.Single<Session> rxRenewSession(String id)

      Renews the given session. This is used with sessions that have a TTL, and it extends the expiration by the TTL
      Parameters:
        `id` - the ID of session that should be renewed
      Returns:

    - #### listSessions

          public ConsulClient listSessions(Handler<AsyncResult<SessionList>> resultHandler)

      Returns the active sessions
      Parameters:
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency

    - #### rxListSessions

          public rx.Single<SessionList> rxListSessions()

      Returns the active sessions
      Returns:

    - #### listSessionsWithOptions

          public ConsulClient listSessionsWithOptions(BlockingQueryOptions options,
                                                      Handler<AsyncResult<SessionList>> resultHandler)

      Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `options` - the blocking options
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency

    - #### rxListSessionsWithOptions

          public rx.Single<SessionList> rxListSessionsWithOptions(BlockingQueryOptions options)

      Returns the active sessions This is blocking query unlike `listSessions(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `options` - the blocking options
      Returns:

    - #### listNodeSessions

          public ConsulClient listNodeSessions(String nodeId,
                                               Handler<AsyncResult<SessionList>> resultHandler)

      Returns the active sessions for a given node
      Parameters:
        `nodeId` - the ID of node
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency

    - #### rxListNodeSessions

          public rx.Single<SessionList> rxListNodeSessions(String nodeId)

      Returns the active sessions for a given node
      Parameters:
        `nodeId` - the ID of node
      Returns:

    - #### listNodeSessionsWithOptions

          public ConsulClient listNodeSessionsWithOptions(String nodeId,
                                                          BlockingQueryOptions options,
                                                          Handler<AsyncResult<SessionList>> resultHandler)

      Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `nodeId` - the ID of node
        `options` - the blocking options
        `resultHandler` - will be provided with list of sessions
      Returns:
        reference to this, for fluency

    - #### rxListNodeSessionsWithOptions

          public rx.Single<SessionList> rxListNodeSessionsWithOptions(String nodeId,
                                                                      BlockingQueryOptions options)

      Returns the active sessions for a given node This is blocking query unlike `listNodeSessions(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.ext.consul.SessionList>>)`
      Parameters:
        `nodeId` - the ID of node
        `options` - the blocking options
      Returns:

    - #### destroySession

          public ConsulClient destroySession(String id,
                                             Handler<AsyncResult<Void>> resultHandler)

      Destroys the given session
      Parameters:
        `id` - the ID of session
        `resultHandler` - will be called when complete
      Returns:
        reference to this, for fluency

    - #### rxDestroySession

          public rx.Single<Void> rxDestroySession(String id)

      Destroys the given session
      Parameters:
        `id` - the ID of session
      Returns:

    - #### close

          public void close()

      Close the client and release its resources

    - #### newInstance

          public static ConsulClient newInstance(ConsulClient arg)

Copyright © 2017. All rights reserved.